{% import '@GaiaAdmin/Macro/buttons.html.twig' as buttons %}

{% set path = options.link.url|default(path(options.link.route|default(grid.requestConfiguration.getRouteName('create')), options.link.parameters|default([]))) %}

{% set message = action.label is empty ? 'sylius.ui.create' :  action.label %}

{% set icon = action.icon|default('plus') %}

{% set class = 'primary' %}
{% if options.role is defined and is_granted(options.role) == false %}
    {% set class = class ~ ' disabled' %}
{% endif %}


{{ buttons.default(path, message, null, icon, class) }}